Subject: Re: [PATCH] daemon.c: mark a file-local symbol as static

From: Ramsay Jones <[email-masked]>
Date: Tue, 23 Feb 2016 00:49:53 +0000

On 22/02/16 21:18, Jeff King wrote:
> On Mon, Feb 22, 2016 at 12:33:23AM +0000, Ramsay Jones wrote:
> 
>>> Thanks, will do. You notice these with sparse, as I recall? I've meant
>>> to look into running that myself, but it looks like we are not
>>> warning-free with sparse currently. I see complaints like:
>>>
>>>   connect.c:377:40: warning: incorrect type in argument 2 (invalid types)
>>>   connect.c:377:40:    expected union __CONST_SOCKADDR_ARG [usertype] __addr
>>>   connect.c:377:40:    got struct sockaddr *ai_addr
>>>
>>> As far as I can tell, that's just noise. Do you have a ready-made recipe
>>> for silencing it?
>>
>> Ah, I think you must be on a very old version of sparse.
> 
> I have whatever comes with debian unstable. Looks like 0.5.0 from
> November. So not _that_ old, but I can well believe it is missing tweaks
> found at the tip of their development.

Yes, but that version was released in Jan 2014!

> I guess I was wondering whether I should be adding "make sparse" to my
> set of pre-submission checks. But I can't say I'm enthused about
> manually keeping another tool up to date. :)

Hmm, probably not worth it - I sometimes wonder why I bother! :-D

ATB,
Ramsay Jones